"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetProjectSourceRoot = exports.GetProjectRoot = exports.GetProjectConfiguration = void 0;
const path_1 = require("path");
function GetProjectConfiguration(context, projectName = context.projectName) {
    const { projectsConfigurations } = context;
    if (!projectsConfigurations) {
        throw new Error('The projectsConfigurations is undefined. Ensure the projectsConfigurations is passed into the executor context.');
    }
    if (!projectName) {
        throw new Error('The projectName is undefined. Ensure the projectName is passed into the executor context.');
    }
    const projectConfiguration = projectsConfigurations.projects[projectName];
    if (!projectConfiguration) {
        throw new Error(`The project configuration for project '${projectName}' not found!`);
    }
    return projectConfiguration;
}
exports.GetProjectConfiguration = GetProjectConfiguration;
function GetProjectRoot(context, projectName = context.projectName) {
    const projectConfiguration = GetProjectConfiguration(context, projectName);
    return projectConfiguration.root;
}
exports.GetProjectRoot = GetProjectRoot;
function GetProjectSourceRoot(context, projectName = context.projectName) {
    var _a;
    const projectConfiguration = GetProjectConfiguration(context, projectName);
    return (_a = projectConfiguration.sourceRoot) !== null && _a !== void 0 ? _a : (0, path_1.join)(projectConfiguration.root, 'src');
}
exports.GetProjectSourceRoot = GetProjectSourceRoot;
//# sourceMappingURL=project.js.map